@import url("https://fonts.googleapis.com/css2?family=Kanit:wght@300&family=Nunito:wght@400;700&display=swap");

body {
  background-color: #b8a9e3;
  font-family: "Kanit", sans-serif;
}

a {
  color: #40355d;
}

a:hover {
  color: black;
}

h1 {
  text-align: center;
  font-weight: 900;
  font-size: 50px;
  line-height: 1.5;
  color: #000000;
}

.container {
  margin: 60px auto;
  max-width: 600px;
}

.form-container {
  margin-bottom: 30px;
  padding: 15px 20px;
}

form {
  display: flex;
}

.hint {
  line-height: 1.5;
  margin-top: 5px;
  opacity: 0.6;
  font-size: 14px;
  padding-left: 10px;
}

.inst {
  padding: 16px;
  width: 80%;
  font-size: 16px;
  border-radius: 50px;
  line-height: 20px;
  background-color: #1c1c1c;
  color: white;
}

.submit-button {
  margin-left: 10px;
  background: #131313;
  color: rgb(222, 220, 220);
  border: none;
  width: 150px;
  font-size: 16px;
  border-radius: 50px;
  padding: 14px 24px;
}

.submit-button:hover {
  font-size: 105%;
  cursor: pointer;
  background-color: #1c1c1c;
}

.poem {
  font-size: 16px;
  background-color: #d6cefd;
  padding: 20px;
  line-height: 2;
  border-left: 6px solid #131313;
}

footer {
  font-weight: bolder;
  text-align: center;
  font-size: 15px;
  margin-bottom: 20px;
}
.hidden {
  display: none;
}
.generating {
  animation: blink-animation 1s steps(5, start) infinite;
}

@keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
@-webkit-keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
